<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<xsl:param name="SortOrderPlayers" select="'ascending'"/>
<xsl:param name="SortTypePlayers" select="'text'"/>
<xsl:param name="SortFieldPlayers"/>
<xsl:param name="SortOrderPlayer" select="'ascending'"/>
<xsl:param name="SortTypePlayer" select="'text'"/>
<xsl:param name="SortFieldPlayer"/>
<xsl:param name="SortOrderTeams" select="'ascending'"/>
<xsl:param name="SortTypeTeams" select="'text'"/>
<xsl:param name="SortFieldTeams"/>

<xsl:template match="/">

<HR/>

<P><FONT SIZE="4"><B><A NAME="Players">Players</A></B></FONT>
<BR/>
<FONT SIZE="1"><A HREF="#Contents">Back to Contents</A></FONT>
</P>

<TABLE BORDER="0">
	<TR>
	<TD><INPUT TYPE="button" VALUE="Player" NAME="btnPlayer" onClick="display('Players', 'Name', 'text')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Played" NAME="btnPlayed" onClick="display('Players', 'Played', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Won" NAME="btnWon" onClick="display('Players', 'Won', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Won %" NAME="btnWonPerCent" onClick="display('Players', 'WonPerCent', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Score" NAME="btnScore" onClick="display('Players', 'Score', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Frags" NAME="btnFrags" onClick="display('Players', 'Frags', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Deaths" NAME="btnDeaths" onClick="display('Players', 'Deaths', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Suicides" NAME="btnSuicides" onClick="display('Players', 'Suicides', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="CTF Captures" NAME="btnCTFCaptures" onClick="display('Players', 'CTFCaptures', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="CTF Returns" NAME="btnCTFReturns" onClick="display('Players', 'CTFReturns', 'number')"/></TD>
	</TR>
	<xsl:for-each select="Q3Stats/PlayersStatistics/PlayerStatistics/GameStatistics">
		<xsl:sort select="*[name() = $SortFieldPlayers]" data-type="{$SortTypePlayers}" order="{$SortOrderPlayers}"/>
		<TR>
			<TD><A HREF="#{generate-id(Name)}"><xsl:value-of select="Name"/></A></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Played"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Won"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="WonPerCent"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Score"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Frags"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Deaths"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Suicides"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="CTFCaptures"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="CTFReturns"/></TD>
		</TR>
	</xsl:for-each>
</TABLE>

<P/>

<HR/>

<xsl:for-each select="Q3Stats/PlayersStatistics/PlayerStatistics">
	<xsl:sort select="GameStatistics/Name"/>

	<FONT SIZE="4"><B><A NAME="{generate-id(GameStatistics/Name)}"></A><xsl:value-of select="GameStatistics/Name"/></B></FONT>
	<BR/>
	<FONT SIZE="1"><A HREF="#Players">Back to Players</A></FONT>
	<P/>
    
	<TABLE BORDER="0">
		<TR>
		<TD><INPUT TYPE="button" VALUE="Map" NAME="btnMap" onClick="display('Player', 'Map', 'text')"/></TD>
		<TD><INPUT TYPE="button" VALUE="Played" NAME="btnPlayed" onClick="display('Player', 'Played', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="Won" NAME="btnWon" onClick="display('Player', 'Won', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="Won %" NAME="btnWonPerCent" onClick="display('Player', 'WonPerCent', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="Score" NAME="btnScore" onClick="display('Player', 'Score', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="Frags" NAME="btnFrags" onClick="display('Player', 'Frags', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="Deaths" NAME="btnDeaths" onClick="display('Player', 'Deaths', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="Suicides" NAME="btnSuicides" onClick="display('Player', 'Suicides', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="CTF Captures" NAME="btnCTFCaptures" onClick="display('Player', 'CTFCaptures', 'number')"/></TD>
		<TD><INPUT TYPE="button" VALUE="CTF Returns" NAME="btnCTFReturns" onClick="display('Player', 'CTFReturns', 'number')"/></TD>
		</TR>
		<xsl:for-each select="MapsStatistics/GameStatistics">
			<xsl:sort select="*[name() = $SortFieldPlayer]" data-type="{$SortTypePlayer}" order="{$SortOrderPlayer}"/>
			<TR>
				<TD><xsl:value-of select="Name"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="Played"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="Won"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="WonPerCent"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="Score"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="Frags"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="Deaths"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="Suicides"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="CTFCaptures"/></TD>
				<TD ALIGN="RIGHT"><xsl:value-of select="CTFReturns"/></TD>
			</TR>
		</xsl:for-each>
	</TABLE>
	<P/>
</xsl:for-each>

<HR/>

<P><FONT SIZE="4"><B><A NAME="Teams">Teams</A></B></FONT>
<BR/>
<FONT SIZE="1"><A HREF="#Contents">Back to Contents</A></FONT>
</P>

<TABLE BORDER="0">
	<TR>
	<TD><INPUT TYPE="button" VALUE="Team" NAME="btnTeam" onClick="display('Teams', 'Team', 'text')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Played" NAME="btnPlayed" onClick="display('Teams', 'Played', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Won" NAME="btnWon" onClick="display('Teams', 'Won', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Won %" NAME="btnWonPerCent" onClick="display('Teams', 'WonPerCent', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Score" NAME="btnScore" onClick="display('Teams', 'Score', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Frags" NAME="btnFrags" onClick="display('Teams', 'Frags', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Deaths" NAME="btnDeaths" onClick="display('Teams', 'Deaths', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="Suicides" NAME="btnSuicides" onClick="display('Teams', 'Suicides', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="CTF Captures" NAME="btnCTFCaptures" onClick="display('Teams', 'CTFCaptures', 'number')"/></TD>
	<TD><INPUT TYPE="button" VALUE="CTF Returns" NAME="btnCTFReturns" onClick="display('Teams', 'CTFReturns', 'number')"/></TD>
	</TR>
	<xsl:for-each select="Q3Stats/GamesStatistics/GameStatistics">
		<xsl:sort select="*[name() = $SortFieldTeams]" data-type="{$SortTypeTeams}" order="{$SortOrderTeams}"/>
		<TR>
			<TD><xsl:value-of select="Name"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Played"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Won"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="WonPerCent"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Score"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Frags"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Deaths"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="Suicides"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="CTFCaptures"/></TD>
			<TD ALIGN="RIGHT"><xsl:value-of select="CTFReturns"/></TD>
		</TR>
	</xsl:for-each>
</TABLE>

<HR/>

</xsl:template>
</xsl:stylesheet>
